Debian Bug report logs - #280864
turck-mmcache: linking against php4 violates license

Package: turck-mmcache; Maintainer for turck-mmcache is (unknown);

Reported by: Andres Salomon <dilinger@voxel.net>

Date: Fri, 12 Nov 2004 05:33:02 UTC

Severity: serious

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
New Bug report received and forwarded. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: turck-mmcache: linking against php4 violates license
Date: Fri, 12 Nov 2004 00:27:10 -0500
Package: turck-mmcache
Severity: serious

Hi,

Turck-mmcache is GPL'd.  PHP4's license is incompatible with the GPL.
By distributing binaries of turck-mmcache linked against php4, we are
violating turck-mmcache's license.  In order to distribute this, we must
obtain the author's (and all other copyright holders) permission to link
against not only php4, but all the things that php4 links against that
are incompatible w/ the GPL (openssl comes to mind).  In its current
state, without an exception clause or license change, turck-mmcache does
not appear suitable for release with sarge.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #10 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: Andres Salomon <dilinger@voxel.net>, 280864@bugs.debian.org
Cc: dmitry@php.net, dmitry@zend.com, debian-legal@lists.debian.org
Subject: Re: Bug#280864: turck-mmcache: linking against php4 violates license
Date: Fri, 12 Nov 2004 12:58:58 -0800
Ick, looks nasty.  CCing upstream, because I'd hate to see it left out
of Sarge.  Undistributable code is not a Good Thing (tm).  Can we get
a license exemption from you and all contributors, Mr. Dmitry Stogov? 
I'm not familiar with the legal side of things, so CCing Debian Legal
as well.

Thanks,
Elizabeth Fong


On Fri, 12 Nov 2004 00:27:10 -0500, Andres Salomon <dilinger@voxel.net> wrote:
> Package: turck-mmcache
> Severity: serious
> 
> Hi,
> 
> Turck-mmcache is GPL'd.  PHP4's license is incompatible with the GPL.
> By distributing binaries of turck-mmcache linked against php4, we are
> violating turck-mmcache's license.  In order to distribute this, we must
> obtain the author's (and all other copyright holders) permission to link
> against not only php4, but all the things that php4 links against that
> are incompatible w/ the GPL (openssl comes to mind).  In its current
> state, without an exception clause or license change, turck-mmcache does
> not appear suitable for release with sarge.
> 
> -- System Information:
> Debian Release: 3.1
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: i386 (i686)
> Kernel: Linux 2.6.9-1-686
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
> 
>



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #15 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: linking against php4 violates license
Date: Mon, 15 Nov 2004 15:16:02 -0800
Bad news: http://moodle.org/mod/forum/discuss.php?d=7653&parent=36891
"Re: PHP Byte Code Compiler in Moodle 1.2+
by John Dell - Sunday, 9 May 2004, 01:28 PM
I too had been a content user of IonCube PHPA, but when it had been
nearly a year since their last release, I got interested in Turck and
the active development (and support for PHP5 early releases). I wanted
to use the latest releases of PHP which Turck did thorough testing on.
Unfortunately, the author of Turck (Dimitri Stogov) was recently hired
by Zend and left the project in a lurch (as he was the sole
contributor). Several adventurous souls are trying to pick up
development of Turck on SourceForge, but it remains to be seen if they
can manage such complex code."

So it looks like Turck MMCache has been abandoned by its lead
developer, and we won't be getting a response.  Dimitri Stogov's last
commit to the CVS was 11 months ago, and since only Hős Endre and
Jason Sheets have made contributions (5 months and 9 months ago,
respectively).

Elizabeth Fong



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #20 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: elizabeth@ctyalcove.org, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: linking against php4 violates license
Date: Tue, 16 Nov 2004 13:15:20 +1100
Thanks for the pointer Elizabeth.

It certainly looks like Turck-mmcache development is dead upstream,
which is unfortunate. In all the time I've been maintaining the package
I've never had a single response from upstream, so perhaps it's a dead
end. That would be a pity and I'd like to see other developers take it
up now that Dmitry has gone to Zend, but unless we can convince Dmitry
to re-release his code under a compatible licence we may all be out of
luck as far as a Debian package is concerned.

Cheers  :-)

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #25 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: linking against php4 violates license
Date: Tue, 16 Nov 2004 17:16:43 -0800
Unfortunately, it looks like we're going to have to request archive
removal then...  I guess I'll have to just start compiling
Turck-MMCache on my own, rather than relying on a binary package. 
Quick question: can we continue to distribute the debian directory and
diffs for the source files, so long as the patching, compilation, and
linking is done by the end user?  If so, that might be preferable to
just abandoning the package altogether.

Elizabeth



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #30 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: elizabeth@ctyalcove.org, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: linking against php4 violates license
Date: Wed, 17 Nov 2004 14:26:36 +1100
Hi Elizabeth,
 
> Quick question: can we continue to distribute the debian directory and
> diffs for the source files, so long as the patching, compilation, and
> linking is done by the end user?

I don't think that could be done within the Debian infrastructure,
although I could be wrong. For example, there's the msttcorefonts
package that doesn't include any Microsoft stuff directly but when you
install it the postinst goes away and downloads the files from MS and
installs them. Maybe something like that could be done, but it sounds a
bit dodgy to me.

Nothing to stop it being made available as an unofficial package though.

Cheers :-)

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #35 received at 280864@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 280864@bugs.debian.org
Subject: contrib package
Date: Fri, 10 Dec 2004 12:42:00 -0500
[Message part 1 (text/plain, inline)]
Making this a contrib package does seem like the way to go, at this
point.  The packaging can remain as is; it is merely the mmcache.so
module that would need to be added.  So, in the postinst script, wget
http://dl.sourceforge.net/sourceforge/turck-mmcache/turck-mmcache-2.4.6.tar.gz, untar and build, and install into the php4 modules directory.

Has anyone heard from Dmitry yet?


-- 
Andres Salomon <dilinger@voxel.net>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #40 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: Andres Salomon <dilinger@voxel.net>, 280864@bugs.debian.org
Subject: Re: Bug#280864: contrib package
Date: Fri, 10 Dec 2004 14:58:59 -0800
Nope.  Not a single word.

Elizabeth


On Fri, 10 Dec 2004 12:42:00 -0500, Andres Salomon <dilinger@voxel.net> wrote:
> Making this a contrib package does seem like the way to go, at this
> point.  The packaging can remain as is; it is merely the mmcache.so
> module that would need to be added.  So, in the postinst script, wget
> http://dl.sourceforge.net/sourceforge/turck-mmcache/turck-mmcache-2.4.6.tar.gz, untar and build, and install into the php4 modules directory.
> 
> Has anyone heard from Dmitry yet?
> 
> --
> Andres Salomon <dilinger@voxel.net>
> 
> 
>



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #45 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Andres Salomon <dilinger@voxel.net>, 280864@bugs.debian.org
Cc: mmcache@turckware.ru
Subject: Re: Bug#280864: contrib package
Date: Sat, 11 Dec 2004 22:51:16 +1100
On Fri, 2004-12-10 at 12:42 -0500, Andres Salomon wrote:

> module that would need to be added.  So, in the postinst script, wget
> http://dl.sourceforge.net/sourceforge/turck-mmcache/turck-mmcache-2.4.6.tar.gz, 
> untar and build, and install into the php4 modules directory.

Sounds like a reasonable approach. Unfortunately it would require a
dependency on build tools that a typical end user probably wouldn't
otherwise need installed, but that just may be the price that has to be
paid.

> Has anyone heard from Dmitry yet?

Never in all the time that I've been maintaining turck-mmcache have I
ever had a single response from him (I've tried contacting him a few
times over the years).

I've CC'd this to Dmitry anyway just in case. Dmitry, if you're reading
this: *please* change turck-mmcache to a licence that's compatible with
PHP, such as the PHP licence. Turck-mmcache users everywhere would be
extremely grateful.

Cheers  :-)

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #50 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Dmitry Stogov <dmitry@zend.com>
Cc: 280864@bugs.debian.org
Subject: RE: Bug#280864: contrib package
Date: Tue, 14 Dec 2004 20:37:37 +1100
Hi Dmitry,

> As you probably know I don't support mmcache more then year.
> I am not the owner of this project, it was developed in Turck Software for
> internal usage
> and then was released under GPL.
> 
> You can try to contact staff of Turck Software (I can help to find them).
> Probably they forgot about this project and I haven't any expectation about
> there decision.

Thankyou very much for responding to this, I really appreciate it. I
hope you don't mind but I've CC'd this response to the bug tracker since
there are a lot of people very concerned right now that turck-mmcache
may have to be removed from Debian due to the licencing issues, and I'm
sure they'd like to know where things are up to.

I'll follow the licencing issue up with Turck Software directly.

By the way, thanks for writing turck-mmcache - I've found it a very
useful piece of software, and I don't want to see it taken out of
Debian.

Cheers  :-)

-- 
Jonathan Oxer
Internet Vision Technologies
www.ivt.com.au
Ph +61 3 9723 9399
Fx +61 3 9723 4899




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Ulf Theobald <ulf@rok-project.de>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #55 received at 280864@bugs.debian.org (full text, mbox):

From: Ulf Theobald <ulf@rok-project.de>
To: Debian Bug Tracking System <280864@bugs.debian.org>
Subject: turck-mmcache: eAccelerator is available!
Date: Tue, 21 Dec 2004 00:12:58 +0100
Followup-For: Bug #280864

Hi,

i'd just like to tell you that the successor of turck-mmcache is
available. It's called eAccelerator.

Have a look at http://eaccelerator.sourceforge.net

Greetings

Ulf



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #60 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Ulf Theobald <ulf@rok-project.de>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Tue, 21 Dec 2004 10:37:29 +1100
Hi Ulf,

> i'd just like to tell you that the successor of turck-mmcache is
> available. It's called eAccelerator.
> 
> Have a look at http://eaccelerator.sourceforge.net

That's very interesting, thanks for letting me know about it.

I've got a couple of questions though:

1. Is this a fork of the turck-mmcache codebase?
2. What licence is it released under?

The whole problem with turck-mmcache in Debian at the moment seems to be
that it's licenced under the GPL, which is incompatible with the PHP
licence.

Cheers   :-)

-- 
Jonathan Oxer
Internet Vision Technologies
www.ivt.com.au
Ph +61 3 9723 9399
Fx +61 3 9723 4899



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Ulf Theobald <ulf@rok-project.de>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #65 received at 280864@bugs.debian.org (full text, mbox):

From: Ulf Theobald <ulf@rok-project.de>
To: Jonathan Oxer <jon@ivt.com.au>
Cc: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Tue, 21 Dec 2004 01:09:32 +0100
Hi Jonathan,

thanks for your fast answer.

1. Yes, eAccelerator is a fork of the turck-mmcache codebase (but with php5 
support included).
2. It's released under the LGPL. So, i think it won't fix your current issue.

In my opinion, it would be the best if you contact the developers of 
eAccelerator. It would be a pity, if turck-mmcache won't exist in Debian 
anymore.

Thanks in advance

Ulf

On Tuesday 21 December 2004 00:37, Jonathan Oxer wrote:
> Hi Ulf,
>
> > i'd just like to tell you that the successor of turck-mmcache is
> > available. It's called eAccelerator.
> >
> > Have a look at http://eaccelerator.sourceforge.net
>
> That's very interesting, thanks for letting me know about it.
>
> I've got a couple of questions though:
>
> 1. Is this a fork of the turck-mmcache codebase?
> 2. What licence is it released under?
>
> The whole problem with turck-mmcache in Debian at the moment seems to be
> that it's licenced under the GPL, which is incompatible with the PHP
> licence.
>
> Cheers   :-)



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #70 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Ulf Theobald <ulf@rok-project.de>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Tue, 21 Dec 2004 11:14:36 +1100
Hi Ulf,

> Have a look at http://eaccelerator.sourceforge.net

I've had a look through the source of eaccelerator and I think I've
already answered my own questions: yes, it's a fork of Turck-mmcache
(basically with a 's/turck-mmcache/eaccelerator/' applied in the source
tree, then patches applied) and it's under GPL.

Unfortunately that means the licence is incompatible with the PHP
licence, so switching to the eaccerelator codebase would not solve the
immediate problem of keeping it in Debian. Since it's being actively
maintained and Turck-mmcache is not there are certainly other reasons to
switch to it though.

What we *really* need is for Turcksoft to release all the original
Turck-mmcache code under a less restrictive licence, perhaps BSD or PHP.
Then eaccelerator could be switched to the PHP licence and everything
would be fine.

Right now though it appears that both Turck-mmcache and eaccelerator are
not legally distributable as part of Debian.

Cheers   :-)

-- 
Jonathan Oxer
Internet Vision Technologies
www.ivt.com.au
Ph +61 3 9723 9399
Fx +61 3 9723 4899



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #75 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Ulf Theobald <ulf@rok-project.de>
Cc: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Tue, 21 Dec 2004 11:15:55 +1100
Hi Ulf,

Looks like our emails crossed paths in transit!

Thanks for your response.

Cheers   :-)

Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #80 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: Jonathan Oxer <jon@ivt.com.au>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Wed, 5 Jan 2005 09:16:05 -0800
Turcksoft appears to be dead - its domain has expired, and I can't
seem to find any way to get into contact with them.  In other words,
we're SOL.

Elizabeth



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #85 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: Jonathan Oxer <jon@ivt.com.au>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Wed, 5 Jan 2005 09:19:38 -0800
By the way, that reminds me.  eAccelerator appears to have committed
copyright violation by stripping the Turcksoft copyright, and
replacing it with Dmitry Stogov's copyright.  However, Dimitry wrote
the software for Turcksoft, so he can't possibly claim copyright over
it if I'm understanding this correctly.

Elizabeth



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to elizabeth@ctyalcove.org:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #90 received at 280864@bugs.debian.org (full text, mbox):

From: Elizabeth Fong <elizabeththegrey@gmail.com>
To: Jonathan Oxer <jon@ivt.com.au>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Wed, 5 Jan 2005 10:20:22 -0800
The only lead I can find is from their contact page on archive.org:

Address:
	Turck Software St. Petersburg, ul.Stremiannaia, 16,
191025 Saint-Petersburg, Russia
Phone:
	+7(812) 112-01-20 (anyone willing to place an international call?)
Fax:
	+7(812) 167-10-86
Working time:
	Mo-Fr 9:30-18:30
e-mail:
	info@turckware.ru (obviously dead since domain has expired)

If Debian has anyone in St. Petersburg, I suppose they could try to
follow up; I think that the company's been shuttered though.  So, the
result is we need a license change to distribute the software, but the
copyright holder has gone defunct.  Wonderful.

Elizabeth



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #95 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: elizabeth@ctyalcove.org
Cc: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Thu, 06 Jan 2005 10:08:41 +1100
On Wed, 2005-01-05 at 09:19 -0800, Elizabeth Fong wrote:

> By the way, that reminds me.  eAccelerator appears to have committed
> copyright violation by stripping the Turcksoft copyright, and
> replacing it with Dmitry Stogov's copyright.

Yes, my understanding is that the copyright rests with Turcksoft and so
basically they're in breach of copyright by doing this.

The big question though (and this is where legal advice may be required)
is what happens to copyright when the copyright owner ceases to exist?
According to copyright law the copyright for works made "for hire"
exists for 95 years from the date of publication or 120 years from the
date of creation, whichever is shorter.

>  However, Dimitry wrote
> the software for Turcksoft, so he can't possibly claim copyright over
> it if I'm understanding this correctly.

That's right, it's considered "work for hire" so unless he had a
contract with Turcksoft to the contrary he is *not* the copyright
holder.

I'm currently reading "Understanding Open Source And Free Software
Licensing" to try to figure out what the (#&$# happens in a situation
like this. It would totally suck if a useful piece of software like
Turck-mmcache was forced to drop off the face of the earth because of a
stupid licencing problem, and this has dragged on too long already
(mainly because I'm slack, sorry).

Cheers  :-)

Jonathan Oxer



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #100 received at 280864@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Thu, 13 Jan 2005 13:17:54 +0100
AFAIK, Turcksoft was acquired by Zend (because the mmcache was too much 
competition for Zend's commercial products).  You could try to contact 
Zend about the issue, but the chances seem slim.



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #105 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: Peter Eisentraut <peter_e@gmx.net>, 280864@bugs.debian.org
Subject: Re: Bug#280864: turck-mmcache: eAccelerator is available!
Date: Fri, 14 Jan 2005 08:47:31 +1100
Hi Peter,

> AFAIK, Turcksoft was acquired by Zend (because the mmcache was too much 
> competition for Zend's commercial products).  You could try to contact 
> Zend about the issue, but the chances seem slim.

No they weren't, from what I can tell Turcksoft has gone out of business
not been bought by Zend. Dmitry Stogov (the programmer who wrote
Turck-mmcache under contract to Turcksoft) is now a Zend employee, but
the "Zend hired him to kill Turck-mmcache" theory has been raised so
many times that Zeev Surasky has even made a public statement to deny
it.

Cheers   :-)

Jonathan Oxer

-- 
The Debian Universe: Installing, managing and using Debian GNU/Linux
http://www.debianuniverse.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #110 received at 280864@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 280864@bugs.debian.org
Subject: turck-mmcache licensing
Date: Wed, 19 Jan 2005 10:26:13 -0500
[Message part 1 (text/plain, inline)]
FYI, here's the contact info Dmitry gave me:

Hr. Helmut Turck is the owner of Turck Software:
h.turck@gmx.net


I've tried emailing, but have not gotten a response.

-- 
Andres Salomon <dilinger@voxel.net>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Torsten Dargers <torsten@dargers.de>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #115 received at 280864@bugs.debian.org (full text, mbox):

From: Torsten Dargers <torsten@dargers.de>
To: 280864@bugs.debian.org
Subject: tracing Helmut Turck
Date: Wed, 16 Feb 2005 11:55:47 +0100
I just called his former employer and found that Helmut Turck seems to 
be in St. Petersburg.
Fax number seems still to be valid.

Cheers,

Torsten



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to lumag@lumag.spb.ru:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #120 received at 280864@bugs.debian.org (full text, mbox):

From: lumag@lumag.spb.ru
To: 280864@bugs.debian.org
Subject: Possible man-in-the-middle.
Date: Fri, 18 Feb 2005 12:30:44 +0300
Hello,

I'm not a DD (yet :), but I'm a happy Debian user and I'm very
interested in having opensource PHP accelerator. Moreover I live in
St. Petersburg, Russia.

So, if the only problem is finding Helmut Turck, I'll try to help by
trying to contact him and telling him what's the problem. Today I'll try
that 112-01-20 phone no. If there are any other possible ways to contact
him, you can contact me.

-- 
With best wishes
Dmitry Baryshkov



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Oxer <jon@ivt.com.au>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #125 received at 280864@bugs.debian.org (full text, mbox):

From: Jonathan Oxer <jon@ivt.com.au>
To: "Roberto C. Sanchez" <roberto@familiasanchez.net>
Cc: 280864@bugs.debian.org, eaccelerator-developers@lists.sourceforge.net, Debian Devel <debian-devel@lists.debian.org>
Subject: Re: [Fwd: RFS: eaccelerator - PHP script cacher]
Date: Thu, 19 May 2005 12:21:03 +1000
[CCd to relevant parties including the eAccelerator developers]

Hi Roberto,

Just a quick update on distributability of Turck-MMCache / eAccelerator:
I've now contacted Jeremy Malcolm of iLaw (who also happens to be a DD!)
and provided him with a brief history of the two projects, and asked him
to provide legal advice on how to proceed. I'm happy to pay for his time
to help sort it out, especially if it results in Debian being able to
distribute eAccelerator.

After an informal chat with him I'm hopeful that given the demise of
TurckSoft it will be possible to relicense the Turck-MMCache code in
eAccelerator to allow it to be linked against PHP, but I'll let you know
the outcome in any case.

Cheers   :-)

Jonathan Oxer
-- 
The Debian Universe: Installing, managing and using Debian GNU/Linux
http://www.debianuniverse.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #130 received at 280864@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@familiasanchez.net>
To: Jonathan Oxer <jon@ivt.com.au>
Cc: 280864@bugs.debian.org, eaccelerator-developers@lists.sourceforge.net, Debian Devel <debian-devel@lists.debian.org>
Subject: Re: [Fwd: RFS: eaccelerator - PHP script cacher]
Date: Wed, 18 May 2005 22:39:52 -0400
[Message part 1 (text/plain, inline)]
Jonathan Oxer wrote:
> [CCd to relevant parties including the eAccelerator developers]
> 
> Hi Roberto,
> 
> Just a quick update on distributability of Turck-MMCache / eAccelerator:
> I've now contacted Jeremy Malcolm of iLaw (who also happens to be a DD!)
> and provided him with a brief history of the two projects, and asked him
> to provide legal advice on how to proceed. I'm happy to pay for his time
> to help sort it out, especially if it results in Debian being able to
> distribute eAccelerator.
> 
> After an informal chat with him I'm hopeful that given the demise of
> TurckSoft it will be possible to relicense the Turck-MMCache code in
> eAccelerator to allow it to be linked against PHP, but I'll let you know
> the outcome in any case.
> 
> Cheers   :-)
> 
> Jonathan Oxer

Thanks for the update.  I was this close, ->  <-, to whipping up a -src
package that just included the source and a script to crank out a .deb
from it.

-Roberto

-- 
Roberto C. Sanchez
http://familiasanchez.net/~sanchezr
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <kink@squirrelmail.org>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #135 received at 280864@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 280864@bugs.debian.org
Subject: Re: [Fwd: RFS: eaccelerator - PHP script cacher]
Date: Thu, 25 Aug 2005 16:18:24 +0200
[Message part 1 (text/plain, inline)]
Hello people,

Just for the record here, the eAccelerator upstream website lists the
following news item:

> 2005/07/11 - License Issue
> Frank Alcantara is now speaking directly to Mr. Turck, the owner of
> the copyright. We are making progress. Thanks for all people who have
> helped us. We will give you feeback about it when we have a
> conclusion.

So while not resolved, at least it seems to be in progress.


Thijs
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Oxer <jon@debian.org>:
Bug#280864; Package turck-mmcache. Full text and rfc822 format available.

Acknowledgement sent to Bart Vanbrabant <bart.vanbrabant@zoeloelip.be>:
Extra info received and forwarded to list. Copy sent to Jonathan Oxer <jon@debian.org>. Full text and rfc822 format available.

Message #140 received at 280864@bugs.debian.org (full text, mbox):

From: Bart Vanbrabant <bart.vanbrabant@zoeloelip.be>
To: 280864@bugs.debian.org
Subject: License status
Date: Wed, 08 Mar 2006 21:42:47 +0100
[Message part 1 (text/plain, inline)]
Hello,

I'm the current project admin. We did announce a rewrite a few months
back. But we don't have enough time to do a rewrite in the near future.
We are first going to make a stable 1.0
The rewrite will be for 2.0 and we will try to change the license.

cheers,

Bart

-- 
Bart Vanbrabant <bart.vanbrabant@zoeloelip.be>
PGP fingerprint: 093C BB84 17F6 3AA6 6D5E  FC4F 84E1 FED1 E426 64D1


[signature.asc (application/pgp-signature, attachment)]

Bug closed, send any further explanations to Andres Salomon <dilinger@voxel.net> Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Wed, 17 Oct 2007 22:30:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Nov 2007 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:31:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.